"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const render_1 = require("./render");
function _r() {
    return render_1.render(this, this.instance);
}
exports.h = function (instance, path, props, children) {
    if (props === undefined) {
        return {
            path,
            props: null,
            children: null,
            instance,
            render: _r
        };
    }
    else if (Array.isArray(props)) {
        return {
            path,
            props: null,
            children: props,
            instance,
            render: _r
        };
    }
    else {
        if (Array.isArray(children)) {
            return {
                path,
                props,
                children,
                instance,
                render: _r
            };
        }
        else {
            return {
                path,
                props,
                children: null,
                instance,
                render: _r
            };
        }
    }
};
